complexName {RpsiXML} | R Documentation

## Accessor functions for complex

### Description

These functions are used to extract useful information of complex in the form of `psimi25Complex-class` object.

### Usage

    complexName(x)
    complexMembers(x)
    complexAttributes(x)

### Arguments

`x` | An object of `psimi25Complex-class`

### Details

See examples

### Value

`complexName` | Returns the name of the complex in characters
`complexMembers` | A data frame of protein members building the complex and their information
`complexAttributes` | A named vector of character strings, the names are the attribute names while the values are attributes documented in the PSI-MI 2.5 file

### Author(s)

Jitao David Zhang <j.zhang@dkfz.de>, Tony Chiang <tchiang@ebi.ac.uk>

### See Also

`psimi25Complex-class`

### Examples

    xmlDir <- system.file("/extdata/psi25files",package="RpsiXML")

    intactComplexxml <- file.path(xmlDir,"intact_complexSample.xml")
    intactComplexSet <- parsePsimi25Complex(intactComplexxml, INTACT.PSIMI25)
    complexSample <- complexes(intactComplexSet)[[2]]

    complexName(complexSample)
    complexAttributes(complexSample)
    complexMembers(complexSample)

[Package RpsiXML version 1.0.0 Index]